%define name khttrack
%define version 0.10
%define release 2mdk


Summary:   Download a WWW site to a local directory with a Kde Gui.
Name:      %{name}
Version:   %{version}
Release:   %{release}
License: GPL
Url:       http://www.nongnu.org/khttrack
Group:     Networking/WWW
Source:    %{name}-%{version}.tar.bz2
Requires:	httrack kdelibs
BuildRequires:	kdelibs-devel libjpeg-devel libpng-devel 
Buildrequires:  XFree86-devel libhttrack-devel openssl-devel	
BuildRoot: 	%_tmppath/%{name}-buildroot

%description
Khttrack allows you to download a World Wide Web site
from the Internet to a local directory, building recursively all
directories, getting HTML, images, and other files from the server
to your computer. Khttrack arranges the original site
relative link-structure. It support https and partially java and flash.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                 --disable-rpath --prefix=%_prefix 

%build

%make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT


install -d %buildroot/%_menudir/
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}):\
command="%_bindir/khttrack"\
title="Khttrack (WWW Mirror)"\
icon="networking_www_section.png"\
longtitle="A website downloader"\
needs="x11"\
section="Networking/WWW"
EOF

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT/*


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README TODO
%_bindir/*
%_datadir/icons/locolor/16x16/*
%_datadir/icons/locolor/32x32/*
%_datadir/applnk/Applications/*
%_datadir/apps/*
%_menudir/*


%changelog
* Mon Sep 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.10-2mdk
- fix buildrequires

* Wed Aug 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.10-1mdk
- from Stephane CHAPEAU <nuscly@ifrance.com> :
	- First Mandrake contrib package


